Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Platform » eclipse 3.3 rcp could not be launched on SESU Linux 10
eclipse 3.3 rcp could not be launched on SESU Linux 10 [message #336566] Tue, 23 June 2009 21:16 Go to next message
Kehua Chang is currently offline Kehua Chang
Messages: 5
Registered: July 2009
Junior Member
We have eclipse 3.3 RCP. When it was launched on SESU Linux 10, it always
crashed after the splash image was displayed. in log file, it said that
java.lang.IllegalStateException: Unable to acquire application service.
Ensure that the org.eclipse.core.runtime bundle is resolved and started
(see config.ini).
I got the same wrror even I commented out osgi.bundles from config.ini
file in configuration directory.
I used JRE 1.5, and eclipse plugins were not a problem since I could run
it in other linux machine.
What could be other possible reason for the crash?

Thanks!
Re: eclipse 3.3 rcp could not be launched on SESU Linux 10 [message #336600 is a reply to message #336566] Wed, 24 June 2009 18:00 Go to previous messageGo to next message
Andrew Niefer is currently offline Andrew Niefer
Messages: 990
Registered: July 2009
Senior Member
Commenting out osgi.bundles in config.ini would only make things worse.

My 3.3 config.ini has:
osgi.bundles=org.eclipse.equinox.common@2:start,
org.eclipse.update.configurator@3:start, org.eclipse.core.runtime@start

If you have that, and still see the problem, you could try diagnosing it
by running the osgi console:
eclipse> ./eclipse -noexit -console

osgi> ss org.eclipse.equinox.app

Framework is launched.

id State Bundle
105 ACTIVE org.eclipse.equinox.app_1.0.1.R33x_v20070828

osgi> diag 105
update@plugins/org.eclipse.equinox.app_1.0.1.R33x_v20070828.jar [105]
No unresolved constraints.


Kehua Chang wrote:
> We have eclipse 3.3 RCP. When it was launched on SESU Linux 10, it
> always crashed after the splash image was displayed. in log file, it
> said that
> java.lang.IllegalStateException: Unable to acquire application service.
> Ensure that the org.eclipse.core.runtime bundle is resolved and started
> (see config.ini).
> I got the same wrror even I commented out osgi.bundles from config.ini
> file in configuration directory.
> I used JRE 1.5, and eclipse plugins were not a problem since I could run
> it in other linux machine.
> What could be other possible reason for the crash?
>
> Thanks!
>
Re: eclipse 3.3 rcp could not be launched on SESU Linux 10 [message #336641 is a reply to message #336600] Thu, 25 June 2009 18:46 Go to previous messageGo to next message
Kehua Chang is currently offline Kehua Chang
Messages: 5
Registered: July 2009
Junior Member
I tried waht you suggested. Following command
osgi> ss org.eclipse.equinox.app

Framework is launched.
id State Bundle

id, state and bundle are all blank. that mean quinox application is not
active, right? Any clue why?

Thanks!
Re: eclipse 3.3 rcp could not be launched on SESU Linux 10 [message #336644 is a reply to message #336600] Thu, 25 June 2009 20:23 Go to previous messageGo to next message
Kehua Chang is currently offline Kehua Chang
Messages: 5
Registered: July 2009
Junior Member
Hi I was able to see some plugins atarted
osgi> ss

Framework is launched.

id State Bundle
0 ACTIVE org.eclipse.osgi_3.3.0.v20070530
1 ACTIVE org.eclipse.equinox.common_3.3.0.v20070426
2 RESOLVED org.eclipse.update.configurator_3.2.100.v20070615
3 INSTALLED org.eclipse.core.runtime_3.3.100.v20070530
4 ACTIVE org.eclipse.equinox.app_1.0.0.v20070606
6 ACTIVE org.eclipse.equinox.registry_3.3.0.v20070522

I then run
osgi> diag 2
initial@reference :file:plugins/org.eclipse.update.configurator_3.2.100.v20070 615.jar/
[2]
No unresolved constraints.

Then I run
osgi> start 2
org.osgi.framework.BundleException: Exception in
org.eclipse.update.internal.con
figurator.ConfigurationActivator.start() of bundle
org.eclipse.update.configurat
or.
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tartActiv
ator(BundleContextImpl.java:1018)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(Bund
leContextImpl.java:974)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(Bundl
eHost.java:346)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(Abstrac
tBundle.java:260)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(Abstrac
tBundle.java:252)
at
org.eclipse.osgi.framework.internal.core.FrameworkCommandPro vider._st
art(FrameworkCommandProvider.java:260)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.osgi.framework.internal.core.FrameworkCommandInt erpreter.
execute(FrameworkCommandInterpreter.java:145)
at
org.eclipse.osgi.framework.internal.core.FrameworkConsole.do command(F
rameworkConsole.java:291)
at
org.eclipse.osgi.framework.internal.core.FrameworkConsole.co nsole(Fra
meworkConsole.java:276)
at
org.eclipse.osgi.framework.internal.core.FrameworkConsole.ru n(Framewo
rkConsole.java:218)
at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.InternalError
at java.util.zip.Inflater.end(Native Method)
at java.util.zip.Inflater.end(Unknown Source)
at java.util.zip.ZipFile.close(Unknown Source)
at
org.eclipse.update.internal.configurator.SiteEntry.detectPac kedPlugin
(SiteEntry.java:402)
at
org.eclipse.update.internal.configurator.SiteEntry.detectPlu gins(Site
Entry.java:334)

not sure why it could start org.eclipse.update.configurator.
Do you have any clue?

Thanks!
Re: eclipse 3.3 rcp could not be launched on SESU Linux 10 [message #336645 is a reply to message #336644] Thu, 25 June 2009 20:53 Go to previous messageGo to next message
Andrew Niefer is currently offline Andrew Niefer
Messages: 990
Registered: July 2009
Senior Member
This will be the cause of all your problems:

> Caused by: java.lang.InternalError
> at java.util.zip.Inflater.end(Native Method)
> at java.util.zip.Inflater.end(Unknown Source)
> at java.util.zip.ZipFile.close(Unknown Source)
> at
> org.eclipse.update.internal.configurator.SiteEntry.detectPac kedPlugin
> (SiteEntry.java:402)
> at
> org.eclipse.update.internal.configurator.SiteEntry.detectPlu gins(Site
> Entry.java:334)


The google hits I see for this all seem to be old and mostly related to
the Blackdown vm.

Do you have an old vm? Perhaps you should try upgrading to a recent Sun
or IBM vm.
Re: eclipse 3.3 rcp could not be launched on SESU Linux 10 [message #336684 is a reply to message #336645] Fri, 26 June 2009 21:13 Go to previous message
Kehua Chang is currently offline Kehua Chang
Messages: 5
Registered: July 2009
Junior Member
I have JRE java version "1.5.0_11"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_11-b03)
Java HotSpot(TM) 64-Bit Server VM (build 1.5.0_11-b03, mixed mode)
I think eclipse is 64 bit linux gtk.
But for SESU LINUX sometime jre is tricky. I think the problem was either
related to JRE or Linux library.
Thanks!
Previous Topic:Same installed plug-ins for all the team
Next Topic:PS - How do I delete an already downloaded plug-in?
Goto Forum:
  


Current Time: Mon Oct 20 18:04:17 GMT 2014

Powered by FUDForum. Page generated in 0.12856 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software